searchNodes=[{"doc":"Check if your password has been pwned.","ref":"Pwned.html","title":"Pwned","type":"module"},{"doc":"This uses API v3 of the have i been pwned? to check if an email has appeared in a data breach. It returns the total count of appearances.It also requires a purchased hibp-api-key, and implements a 12-factor methodology by accessing the hibp-api-key from the system's environment variables.Examples iex&gt; Pwned.check_email(&quot;test123@example.com&quot;) iex Pwned.check_email(&quot;Z76okiy2X1m5PFud8iPUQGqusShCJhg@example.com&quot;)","ref":"Pwned.html#check_email/1","title":"Pwned.check_email/1","type":"function"},{"doc":"It uses have i been pwned? to verify if a password has appeared in a data breach. In order to protect the value of the source password being searched the value is not sended through the network.Examplesiex&gt; Pwned.check_password(&quot;P@ssw0rd&quot;) {:ok, 47205} iex&gt; Pwned.check_password(&quot;Z76okiy2X1m5PFud8iPUQGqusShCJhg&quot;) {:ok, false}","ref":"Pwned.html#check_password/1","title":"Pwned.check_password/1","type":"function"},{"doc":"Uses the API V3 pwnedpasswords to check if a password has been pwned.Updated to include padding to increase privacy.","ref":"Pwned.Range.HTTPClient.html","title":"Pwned.Range.HTTPClient","type":"module"},{"doc":"Callback implementation for c:Pwned.Range.get/1.","ref":"Pwned.Range.HTTPClient.html#get/1","title":"Pwned.Range.HTTPClient.get/1","type":"function"},{"doc":"Functions to flatten nested email lists from breachedaccount API v3 response.","ref":"Pwned.Utils.EmailFlattener.html","title":"Pwned.Utils.EmailFlattener","type":"module"},{"doc":"","ref":"Pwned.Utils.EmailFlattener.html#flatten/1","title":"Pwned.Utils.EmailFlattener.flatten/1","type":"function"},{"doc":"Functions for reducing the email list returned from the breachedacocunt API v3.","ref":"Pwned.Utils.EmailReducer.html","title":"Pwned.Utils.EmailReducer","type":"module"},{"doc":"Reduces an email list and returns the integer sum.Exampleiex&gt; reduce_email_list(email_list) iex&gt; iex&gt; 4893554722","ref":"Pwned.Utils.EmailReducer.html#reduce_email_list/1","title":"Pwned.Utils.EmailReducer.reduce_email_list/1","type":"function"},{"doc":"Pwned by Core Theory Checks if an email or password has been pwned using the HaveIbeenPwned? API v3.A simple application to check if an email or password has been pwnedusing the HaveIBeenPwned? API. It requires a purchased hibp-api-key in order to use the email checking functions.EmailsThis library currently implements simple email checking against data breaches with the HaveIBeenPwned? API v3. It requires a purchased api-key in order to work.The Pwned.check_email/1 function returns the total number of times an email address has appeared in known data breaches, or an &quot;email not pwned&quot; message.PasswordsThis library uses HaveIBeenPwned? to verify if a password has appeared in a data breach. In order to protect the value of the source password being searched, the value is not sent through the network. Instead it uses a k-Anonymity model that allows a password to be searched for by partial hash. This allows the first 5 characters of a SHA-1 password hash to be passed to the API. Then, it searches the results of the response for the presence of the source hash. If the source hash is not found, then the password does not exist in the data set.Additionally, we implement padding to further protect the privacy of the password source hash in accordance with password padding in API v3.","ref":"readme.html","title":"Pwned by Core Theory","type":"extras"},{"doc":"Install Usage Contributing License Notice Special Thanks","ref":"readme.html#table-of-contents","title":"Pwned by Core Theory - Table of Contents","type":"extras"},{"doc":"This package can be installed by adding ct_pwned to your list of dependencies in mix.exs:def deps do [ {:ct_pwned, github: &quot;coretheory/ct_pwned&quot;} ] end","ref":"readme.html#install","title":"Pwned by Core Theory - Install","type":"extras"},{"doc":"Usage is incredible simple and straightforward. You can check if an email or password has been pwned with calls to their respective functions.In the case of checking for an email, you will need to have purchased a hibp-api-key.You can use this library for password checking without the need for an API key. However, if this is the case, then keep in mind that not all tests will pass. If you do not need email checking, then we encourage you to use the pwned library by Thiago Santos.Check for pwned passwordsTo check whether a password has been pwned you can make a simple call to the Pwned.check_password/1 function:iex&gt; Pwned.check_password(&quot;P@ssw0rd&quot;) {:ok, 47205} iex&gt; Pwned.check_password(&quot;Z76okiy2X1m5PFud8iPUQGqusShCJhg&quot;) {:ok, false}When implementing in an application, we can use a straightforward case statement like this:case Pwned.check_password(&quot;somepassword&quot;) do {:ok, false} -&gt; IO.puts(&quot;Good news — no pwnage found!&quot;) {:ok, count} -&gt; IO.puts(&quot;Oh, no! This password appeared \#{count} times in data breaches.&quot;) :error -&gt; IO.puts(&quot;Something went wrong.&quot;) endCheck for pwned emailsTo check whether an email has been pwned you can make a simple call to the Pwned.check_email/1 function:iex&gt; Pwned.check_email(&quot;test123@example.com&quot;) {:pwned_email, 4893554722} iex&gt; Pwned.check_email(&quot;Z76okiy2X1m5PFud8iPUQGqusShCJhg@example.com&quot;) {:safe_email, &quot;email not pwned&quot;}When implementing in an application, we can use a straightforward case statement like this:case Pwned.check_email(&quot;test123@exmaple.com&quot;) do {:safe_email, message} -&gt; IO.puts(message) {:pwned_email, pwned_count} -&gt; IO.puts(&quot;Ohh, sorry! This email has appeared \#{pwned_count} times in data breaches.&quot;) {:error, message} -&gt; IO.puts(&quot;An error occurred: &quot; &lt;&gt; message) :error -&gt; IO.puts(&quot;Something went wrong.&quot;) end","ref":"readme.html#usage","title":"Pwned by Core Theory - Usage","type":"extras"},{"doc":"See the contributing file.","ref":"readme.html#contributing","title":"Pwned by Core Theory - Contributing","type":"extras"},{"doc":"Apache License, Version 2.0 © Core Theory","ref":"readme.html#license","title":"Pwned by Core Theory - License","type":"extras"},{"doc":"This is a modified version of the pwned package © @thiamsantos.","ref":"readme.html#notice","title":"Pwned by Core Theory - Notice","type":"extras"},{"doc":"This extension was built from the simple and wonderful package, pwned, by Thiago Santos. ♥","ref":"readme.html#special-thanks","title":"Pwned by Core Theory - Special thanks","type":"extras"},{"doc":"Contributing to ct_pwnedThis is an extension of the original pwned library by Thiago Santos.Thank you for taking the time and effort to contribute! Now, take a moment to be sure your contributions make sense to everyone else. These are just guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.","ref":"contributing.html","title":"Contributing to ct_pwned","type":"extras"},{"doc":"Found a problem? Want a new feature? First of all see if your issue or idea has already been reported. If don't, just open a new clear and descriptive issue.","ref":"contributing.html#reporting-issues","title":"Contributing to ct_pwned - Reporting Issues","type":"extras"},{"doc":"Pull requests are the greatest contributions, so be sure they are focused in scope, and do avoid unrelated commits. And submit your pull request after making sure that all tests pass and they are covering 100% of the code.Fork it!Clone your fork: git clone https://github.com/&lt;your-username&gt;/ct_pwnedNavigate to the newly cloned directory: cd ct_pwnedCreate a new branch for the new feature: git checkout -b my-new-featureInstall the tools necessary for development: npm installMake your changes.Commit your changes: git commit -am 'Add some feature'Push to the branch: git push origin my-new-featureSubmit a pull request with full remarks documenting your changes.","ref":"contributing.html#submitting-pull-requests","title":"Contributing to ct_pwned - Submitting pull requests","type":"extras"},{"doc":"Every time you write a test, remember to answer all the questions:What are you testing?What should it do?What is the actual output?What is the expected output?How can the test be reproduced?","ref":"contributing.html#testing","title":"Contributing to ct_pwned - Testing","type":"extras"}]